clang-tools 6.0.0

Public Member Functions | Public Attributes | Friends | List of all members
Location Struct Reference
Collaboration diagram for Location:
[legend]

## Public Member Functions
| Location ()
| Location (SourceManager &SM, SourceLocation Loc)
| operator bool () const

## Public Attributes
const FileEntry * | File
unsigned | Line
unsigned | Column

## Friends
bool | operator== (const Location &X, const Location &Y)
bool | operator!= (const Location &X, const Location &Y)
bool | operator< (const Location &X, const Location &Y)
bool | operator> (const Location &X, const Location &Y)
bool | operator<= (const Location &X, const Location &Y)
bool | operator>= (const Location &X, const Location &Y)

## Detailed Description

Definition at line 384 of file Modularize.cpp.

## Constructor & Destructor Documentation

## ◆ Location() [1/2]

Location::Location | ( |  | ) |
| inline

Definition at line 388 of file Modularize.cpp.

## ◆ Location() [2/2]

Location::Location | ( | SourceManager & | SM,
|  | SourceLocation | Loc
| ) |  |
| inline

Definition at line 390 of file Modularize.cpp.

## Member Function Documentation

## ◆ operator bool()

Location::operator bool | ( |  | ) | const
| inline

Definition at line 404 of file Modularize.cpp.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 410 of file Modularize.cpp.

## ◆ operator<

bool operator< | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 414 of file Modularize.cpp.

## ◆ operator<=

bool operator<= | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 422 of file Modularize.cpp.

## ◆ operator==

bool operator== | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 406 of file Modularize.cpp.

## ◆ operator>

bool operator> | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 421 of file Modularize.cpp.

## ◆ operator>=

bool operator>= | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 425 of file Modularize.cpp.

## Member Data Documentation

## ◆ Column

unsigned Location::Column

Definition at line 386 of file Modularize.cpp.

## ◆ File

const FileEntry* Location::File

Definition at line 385 of file Modularize.cpp.

## ◆ Line

unsigned Location::Line

Definition at line 386 of file Modularize.cpp.

The documentation for this struct was generated from the following file:

- Modularize.cpp